Bug 1507659 - apitrace spec has silently missed removing
Summary: apitrace spec has silently missed removing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: apitrace
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-30 20:22 UTC by Vitaly Lipatov
Modified: 2017-11-11 03:09 UTC (History)
2 users (show)

Fixed In Version: apitrace-7.1-8.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-11 03:09:40 UTC


Attachments (Terms of Use)

Description Vitaly Lipatov 2017-10-30 20:22:03 UTC
rm thirdparty in spec skips all dirs

fix:
-rm -rf `ls -1 thirdparty | grep -Ev "(khronos|md5|libbacktrace)"`
+rm -rf `ls -1d thirdparty/* | grep -Ev "(khronos|md5|libbacktrace)"`

Comment 1 Sandro Mani 2017-10-30 21:17:14 UTC
Uhm where do you observe that it does not correctly delete the folders? The latest build log [1] shows that it is working as expected:

++ ls -1 thirdparty
++ grep -Ev '(khronos|md5|libbacktrace)'
+ rm -rf devcon directxtex dxerr getopt gradlew gtest libpng mingw snappy zlib

[1] https://kojipkgs.fedoraproject.org//packages/apitrace/7.1/7.fc27/data/logs/x86_64/build.log

Comment 2 Vitaly Lipatov 2017-10-30 22:03:58 UTC
(In reply to Sandro Mani from comment #1)
> Uhm where do you observe that it does not correctly delete the folders? The
> latest build log [1] shows that it is working as expected:

Just add -v key rm and see an empty output.
 
> ++ ls -1 thirdparty
> ++ grep -Ev '(khronos|md5|libbacktrace)'
> + rm -rf devcon directxtex dxerr getopt gradlew gtest libpng mingw snappy
> zlib
rm tried removes these dirs in current directory, not in thirdparty directory.
 
> [1]
> https://kojipkgs.fedoraproject.org//packages/apitrace/7.1/7.fc27/data/logs/
> x86_64/build.log

Comment 3 Sandro Mani 2017-10-30 22:05:00 UTC
Aah got it, thanks!

Comment 4 Sandro Mani 2017-10-31 10:24:28 UTC
Fixed in apitrace-7.1-8.fc28

Comment 5 Fedora Update System 2017-10-31 19:09:53 UTC
apitrace-7.1-8.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4f82d60db8

Comment 6 Fedora Update System 2017-11-11 03:09:40 UTC
apitrace-7.1-8.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.